import { OnInit } from '@angular/core';
import { AbstractControl, FormArray, FormGroup } from '@angular/forms';
import { AttributeBase } from '../attribute-base';
import { EntityRelation } from '../../entity';
export declare class AttributeTableComponent implements OnInit {
    isDetailModalShown: boolean;
    currentFormGroup: AbstractControl;
    isErrorModalShown: boolean;
    errorTitle: string;
    errorDescription: string;
    constructor();
    attributeControls: AttributeBase[];
    formArray: FormArray;
    parentFormGroup: FormGroup;
    entityRelation: EntityRelation;
    readonly: boolean;
    ngOnInit(): void;
    readonly displayDetailModal: "none" | "block";
    readonly displayErrorModal: "none" | "block";
    openDetailModal(index: number): void;
    closeDetailModal(): void;
    openErrorModal(errorTitle: string, errorDescription: string): void;
    closeErrorModal(): void;
    deleteRelationInstance(index?: number): void;
}
